Skip to content
Start here

Update a tunnel route

PATCH/accounts/{account_id}/teamnet/routes/{route_id}

Updates an existing private network route in an account. The fields that are meant to be updated should be provided in the body of the request.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Networks WriteCloudflare Tunnel Write
Path ParametersExpand Collapse
account_id: optional string

Cloudflare account ID

maxLength32
route_id: string

UUID of the route.

maxLength36
Body ParametersJSONExpand Collapse
comment: optional string

Optional remark describing the route.

maxLength100
network: optional string

The private IPv4 or IPv6 range connected by the route, in CIDR notation.

tunnel_id: optional string

UUID of the tunnel.

formatuuid
maxLength36
virtual_network_id: optional string

UUID of the virtual network.

formatuuid
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: Route { id, comment, created_at, 4 more }
id: optional string

UUID of the route.

maxLength36
comment: optional string

Optional remark describing the route.

maxLength100
created_at: optional string

Timestamp of when the resource was created.

formatdate-time
deleted_at: optional string

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time
network: optional string

The private IPv4 or IPv6 range connected by the route, in CIDR notation.

tunnel_id: optional string

UUID of the tunnel.

formatuuid
maxLength36
virtual_network_id: optional string

UUID of the virtual network.

formatuuid
success: true

Whether the API call was successful

Update a tunnel route

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/teamnet/routes/$ROUTE_ID \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '{
          "comment": "Example comment for this route.",
          "network": "172.16.0.0/16",
          "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
          "virtual_network_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415"
        }'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "Example comment for this route.",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "network": "172.16.0.0/16",
    "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "virtual_network_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "comment": "Example comment for this route.",
    "created_at": "2021-01-25T18:22:34.317854Z",
    "deleted_at": "2009-11-10T23:00:00.000000Z",
    "network": "172.16.0.0/16",
    "tunnel_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
    "virtual_network_id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415"
  },
  "success": true
}